import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:krow/features/invoice/domain/blocs/invoices_list_bloc/invoice_bloc.dart';

import 'domain/blocs/invoices_list_bloc/invoice_event.dart';

@RoutePage()
class InvoiceFlowScreen extends StatelessWidget {
  const InvoiceFlowScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      create: (context) => InvoiceBloc()..add(const InvoiceInitialEvent()),
      child: AutoRouter(),
    );
  }
}
